/*
 * StudentTest.java
 * JUnit based test
 *
 * Created on 24. bezen 2005, 17:00
 */

package testik3;

import junit.framework.*;

/**
 *
 * @author xadamek2
 */
public class StudentTest extends TestCase {
    
    public StudentTest(String testName) {
        super(testName);
    }

    protected void setUp() throws java.lang.Exception {
    }

    protected void tearDown() throws java.lang.Exception {
    }

    public static junit.framework.Test suite() {
        junit.framework.TestSuite suite = new junit.framework.TestSuite(StudentTest.class);
        return suite;
    }
    
    // TODO add test methods here. The name must begin with 'test'. For example:
    // public void testHello() {}
    
    public void testNewStudent() {
        Student s1 = new Student(1,"Petr Adamek");
        assertEquals(1,s1.getId());
        assertEquals("Petr Adamek",s1.getName());
    }
    
    public void testEquals() {
        Student s1 = new Student(1,"Petr Adamek");
        Student s2 = new Student(0,"Jan Pavlovic");
        Student s3 = new Student(1,"xxx");
        assertFalse(s1.equals(s2));
        assertTrue(s1.equals(s1));
        assertTrue(s3.equals(s1));
        assertFalse(s1.equals(null));
        assertFalse(s1.equals(new Object()));
    }
}
