/*
 * Test.java
 *
 * Created on 19. duben 2005, 15:14
 */

package gui1;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.NumberFormat;
import javax.swing.JFormattedTextField;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JTextField;
import javax.swing.SwingUtilities;

/**
 *
 * @author xadamek2
 */
public class Test {
    
    /** Creates a new instance of Test */
    public Test() {
    }
    
    public static void main(String args[]) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                final JFrame mainWindow = new JFrame("Moje prvni vokno");
                mainWindow.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                mainWindow.setLayout(new GridLayout(0,2));
                mainWindow.add(new JLabel("InsertString: "));
                JTextField textField = new JTextField(10);
                
                textField.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        JOptionPane.showMessageDialog(mainWindow, 
                                ((JTextField)e.getSource()).getText());
                    }
                });
                mainWindow.add(textField);

                mainWindow.add(new JLabel("InsertNumber: "));
                JFormattedTextField textField2 = new JFormattedTextField(
                        NumberFormat.getIntegerInstance());
                
                textField2.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        JOptionPane.showMessageDialog(mainWindow, 
                                ((JFormattedTextField)e.getSource()).getValue());
                    }
                });
                
                mainWindow.add(textField2);
                mainWindow.pack();
                mainWindow.setVisible(true);
            }
        });
    }

}
