/*
 * Test.java
 *
 * Created on 11. duben 2005, 18:31
 */

package xml;

import java.io.File;
import java.io.InputStream;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

/**
 *
 * @author xadamek2
 */
public class Test {
    
    /** Creates a new instance of Test */
    public Test() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws TransformerException {
        InputStream input = Test.class.getResourceAsStream("people.xml");
        InputStream stylesheet = Test.class.getResourceAsStream("people2.xsl");
        File output = new File("/home/xadamek2/test.html");

        TransformerFactory factory = TransformerFactory.newInstance();
        Transformer transformer = factory.newTransformer(new StreamSource(stylesheet));
        transformer.transform(new StreamSource(input), new StreamResult(output));
        
    }
    
}
