/*
 * StudentTest.java
 * JUnit based test
 *
 * Created on 22. bezen 2005, 14:59
 */

package testik;

import junit.framework.*;

/**
 *
 * @author xadamek2
 */
public class StudentTest extends TestCase {
    
    public StudentTest(String testName) {
        super(testName);
    }

    protected void setUp() throws java.lang.Exception {
    }

    protected void tearDown() throws java.lang.Exception {
    }

    public static junit.framework.Test suite() {
        junit.framework.TestSuite suite = new junit.framework.TestSuite(StudentTest.class);
        return suite;
    }
    
    public void testNewStudent() {
        Student student = new Student(1,"Petr Adamek");
        assertEquals(1,student.getId());
        assertEquals("Petr Adamek",student.getName());
    }
    
    public void testEquals() {
        Student s1 = new Student(1,"Petr Adamek");
        Student s2 = new Student(1,"Petr Adamek");
        Student s3 = new Student(2,"Honza Pavlovic");       
        String s4 = "ahoj";
        assertTrue(s1.equals(s2));
        assertFalse(s1.equals(s3));

        assertFalse(s1.equals(s4));
        assertFalse(s1.equals(null));
        
    }
    
}
